### Property

# Ide BufferManager:max-file-size

#### Declaration

    property max-file-size: gint64 [ read, write ]

#### Description

The “max-file-size” property is the largest file size in bytes that Builder will attempt to load. Larger files will fail to load to help ensure that Builder’s buffer manager does not attempt to load files that will slow the buffer management beyond usefulness.

Type: | `gint64`
Available since: | 3.32

Setter method | `ide_buffer_manager_set_max_file_size()`
Getter method | `ide_buffer_manager_get_max_file_size()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no